ChangeSet 1.1587.12.67, 2004/04/30 15:04:23-07:00, eike-hotplug@sf-tec.de

[PATCH] RPA PCI Hotplug: codingstyle fixes for rpaphp_pci.c

Some coding style fixes for rpaphp_pci.c.


 drivers/pci/hotplug/rpaphp_pci.c |   31 +++++++++++++++----------------
 1 files changed, 15 insertions(+), 16 deletions(-)


diff -Nru a/drivers/pci/hotplug/rpaphp_pci.c b/drivers/pci/hotplug/rpaphp_pci.c
--- a/drivers/pci/hotplug/rpaphp_pci.c	Mon May 17 16:59:02 2004
+++ b/drivers/pci/hotplug/rpaphp_pci.c	Mon May 17 16:59:02 2004
@@ -30,7 +30,7 @@
 
 struct pci_dev *rpaphp_find_pci_dev(struct device_node *dn)
 {
-	struct pci_dev *retval_dev = NULL, *dev = NULL;
+	struct pci_dev *retval_dev = NULL, *dev;
 	char bus_id[BUS_ID_SIZE];
 
 	sprintf(bus_id, "%04x:%02x:%02x.%d",dn->phb->global_number,
@@ -57,9 +57,8 @@
 	struct resource *res = &dev->resource[resource];
 	struct resource *root = pci_find_parent_resource(dev, res);
 	char *dtype = resource < PCI_BRIDGE_RESOURCES ? "device" : "bridge";
-	int err;
+	int err = -EINVAL;
 
-	err = -EINVAL;
 	if (root != NULL) {
 		err = request_resource(root, res);
 	}
@@ -117,8 +116,8 @@
 	return rc;
 }
 
-/*
- * get_pci_adapter_status - get  the status of a slot
+/**
+ * get_pci_adapter_status - get the status of a slot
  * 
  * 0-- slot is empty
  * 1-- adapter is configured
@@ -136,7 +135,7 @@
 	if (state == PRESENT) {
 		if (!is_init)
 			/* at run-time slot->state can be changed by */
-			/* config/unconfig adapter                        */
+			/* config/unconfig adapter */
 			*value = slot->state;
 		else {
 			if (!slot->dn->child)
@@ -154,7 +153,7 @@
 		*value = state;
 	}
 
-      exit:
+exit:
 	return rc;
 }
 
@@ -184,7 +183,8 @@
 	}
 }
 
-static void rpaphp_pci_config_device(struct pci_bus *pci_bus, struct device_node *dn)
+static void
+rpaphp_pci_config_device(struct pci_bus *pci_bus, struct device_node *dn)
 {
 	int num;
 
@@ -193,7 +193,6 @@
 		rpaphp_fixup_new_pci_devices(pci_bus);
 		pci_bus_add_devices(pci_bus);
 	}
-	return;
 }
 
 static int rpaphp_pci_config_bridge(struct pci_dev *dev, struct device_node *dn);
@@ -202,7 +201,8 @@
  rpaphp_pci_config_dn() will recursively configure all devices under the 
  given slot->dn and return the dn's pci_dev.
  *****************************************************************************/
-static struct pci_dev *rpaphp_pci_config_dn(struct device_node *dn, struct pci_bus *bus)
+static struct pci_dev *
+rpaphp_pci_config_dn(struct device_node *dn, struct pci_bus *bus)
 {
 	struct device_node *local;
 	struct pci_dev *dev;
@@ -264,10 +264,9 @@
 		/* slot is not enabled */
 		err("slot doesn't have pci_dev structure\n");
 		dev = NULL;
-		goto exit;
 	}
 
-      exit:
+exit:
 	dbg("Exit %s: pci_dev %s\n", __FUNCTION__, dev ? "found" : "not found");
 	return dev;
 }
@@ -306,9 +305,9 @@
 	if (slot->hotplug_slot->info->adapter_status == NOT_VALID) {
 		dbg("%s: NOT_VALID: skip dn->full_name=%s\n",
 		    __FUNCTION__, slot->dn->full_name);
-		return (-1);
+		return -1;
 	}
-	return (0);
+	return 0;
 }
 
 static int setup_pci_slot(struct slot *slot)
@@ -355,7 +354,7 @@
 	if (setup_pci_slot(slot))
 		goto exit_rc;
 	rc = register_slot(slot);
-      exit_rc:
+exit_rc:
 	if (rc)
 		dealloc_slot_struct(slot);
 	return rc;
@@ -391,7 +390,7 @@
 		slot->state = NOT_VALID;
 		retval = -EINVAL;
 	}
-      exit:
+exit:
 	if (slot->state != NOT_VALID)
 		rpaphp_set_attention_status(slot, LED_ON);
 	else
